Change log for eckit package in Ubuntu

118 of 18 results
Published in hirsute-proposed on 2021-01-21
eckit (1.15.4-1) unstable; urgency=medium

  * New upstream release
  * Add debian/watch file
  * Standards-Version: 4.5.1
  * Point vcs-git to debian/latest branch

 -- Alastair McKinstry <email address hidden>  Thu, 21 Jan 2021 12:41:17 +0000

Available diffs

Published in hirsute-release on 2021-01-19
Deleted in hirsute-proposed (Reason: moved to Release)
eckit (1.13.2-1) unstable; urgency=medium

  * New upstream release
  * Disable JEMALLOC as it breaks magics-python at the moment
  * Disable RADOS 

 -- Alastair McKinstry <email address hidden>  Sun, 10 Jan 2021 11:08:53 +0000

Available diffs

Superseded in hirsute-proposed on 2021-01-10
eckit (1.13.1-1) unstable; urgency=medium

  * New upstream release
  * Build requires ebuild >= 3.4.0-1
  * Change d/rules now that stuff is installed directly in LIBDIR

 -- Alastair McKinstry <email address hidden>  Fri, 16 Oct 2020 10:37:01 +0100
Superseded in hirsute-release on 2021-01-19
Published in groovy-release on 2020-08-05
Deleted in groovy-proposed (Reason: moved to Release)
eckit (1.11.6-2) unstable; urgency=medium

  * Use debhelper 13 for variable substitution, instead of autogenerating
    dh files
  * Add d/not-installed file for files/links generated
  * Fix for latest bison upgrade. Closes: #966916

 -- Alastair McKinstry <email address hidden>  Tue, 04 Aug 2020 11:35:41 +0100

Available diffs

Superseded in groovy-release on 2020-08-05
Deleted in groovy-proposed on 2020-08-06 (Reason: moved to Release)
eckit (1.11.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <email address hidden>  Sun, 17 May 2020 09:41:26 +0100

Available diffs

Superseded in groovy-release on 2020-05-17
Deleted in groovy-proposed on 2020-05-19 (Reason: moved to Release)
eckit (1.10.1-3) unstable; urgency=medium

  *  * Runtime depend on jemalloc-dev, used by the reverse-dependencies
       Closes: #959029.

 -- Alastair McKinstry <email address hidden>  Tue, 28 Apr 2020 13:42:52 +0100
Superseded in groovy-proposed on 2020-04-28
eckit (1.10.1-2ubuntu1) groovy; urgency=medium

  * Runtime depend on jemalloc-dev, used by the reverse-dependencies.

 -- Gianfranco Costamagna <email address hidden>  Tue, 28 Apr 2020 10:29:22 +0200
Superseded in groovy-release on 2020-05-01
Deleted in groovy-proposed on 2020-05-03 (Reason: moved to Release)
eckit (1.10.1-2) unstable; urgency=medium

  * Patch gcc10.patch needed for FTBFS (metview using JSON.h header)
  * Add initial d/tests/control to check libs working

 -- Alastair McKinstry <email address hidden>  Mon, 20 Apr 2020 10:17:05 +0100
Superseded in groovy-release on 2020-04-27
Published in focal-release on 2020-03-24
Deleted in focal-proposed (Reason: moved to Release)
eckit (1.4.7-7build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <email address hidden>  Tue, 24 Mar 2020 15:03:25 +0100
Superseded in focal-release on 2020-03-24
Deleted in focal-proposed on 2020-03-26 (Reason: moved to Release)
eckit (1.4.7-7) unstable; urgency=medium

  * libeckit-dev now depends on libaec-dev because of deps in the 
    interface blocks in Cmake files (now AEC support enabled)

 -- Alastair McKinstry <email address hidden>  Tue, 07 Jan 2020 15:53:05 +0000

Available diffs

Superseded in focal-proposed on 2020-01-07
eckit (1.4.7-6) unstable; urgency=medium

  * Don't use RADOS on mipsel; not available 
  * libeckit-dev now depends on libeigen3-dev because of deps in the 
    interface blocks in Cmake files

 -- Alastair McKinstry <email address hidden>  Tue, 07 Jan 2020 09:33:20 +0000

Available diffs

Superseded in focal-proposed on 2020-01-07
eckit (1.4.7-5) unstable; urgency=medium

  * Don't use RADOS on alpha, hpaa, powerpc
  * hurd.patch: Add PATH_MAX as needed
  * aec.patch: Add FindAEC.cmake to discover AEC

 -- Alastair McKinstry <email address hidden>  Mon, 06 Jan 2020 15:18:25 +0000

Available diffs

Superseded in focal-proposed on 2020-01-06
eckit (1.4.7-4) unstable; urgency=medium

  * Use openblas on archs where it is available, else reference libblas-dev,
    liblapack-dev

 -- Alastair McKinstry <email address hidden>  Sun, 05 Jan 2020 13:39:00 +0000

Available diffs

Superseded in focal-proposed on 2020-01-05
eckit (1.4.7-3) unstable; urgency=medium

  * libeckit-dev also needs to depend on  libssl-dev,
    libcurl4-gnutls-dev,  libxxhash-dev,  libsnappy-dev,  liblz4-dev,
    libbz2-dev, because of cmake interface deps
  * Ditto with openblas and alternatives.

 -- Alastair McKinstry <email address hidden>  Sat, 04 Jan 2020 10:47:42 +0000

Available diffs

Superseded in focal-proposed on 2020-01-05
eckit (1.4.7-2) unstable; urgency=medium

  * libeckit-dev needs to depend on libopenmpi-dev.

 -- Alastair McKinstry <email address hidden>  Sat, 04 Jan 2020 09:07:50 +0000

Available diffs

Superseded in focal-proposed on 2020-01-04
eckit (1.4.7-1) unstable; urgency=medium

  * New upstream release
  * Set AEC_INCLUDE_DIR to discover AEC
  * Use openblas-dev for blas, lapack

 -- Alastair McKinstry <email address hidden>  Tue, 31 Dec 2019 09:02:15 +0000

Available diffs

Superseded in focal-release on 2020-01-24
Deleted in focal-proposed on 2020-01-26 (Reason: moved to Release)
eckit (1.4.2-3) unstable; urgency=medium

  * Make dependency RADOS optional on minor archs.

 -- Alastair McKinstry <email address hidden>  Tue, 22 Oct 2019 13:52:11 +0100

Available diffs

Superseded in focal-release on 2019-10-26
Deleted in focal-proposed on 2019-10-27 (Reason: moved to Release)
eckit (1.4.2-2) unstable; urgency=medium

  * Tests disabled in this release
  * -dev pkg depends on -utils for eckit_version
  * include files in /usr/include/$multiarch

 -- Alastair McKinstry <email address hidden>  Wed, 16 Oct 2019 11:37:29 +0100
118 of 18 results